Listar monitores
Lista todos los monitores de la clave, del más reciente al más antiguo.
GET
/
v1
/
monitors
List monitors
curl --request GET \
--url https://api.querying.ai/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"monitors": [
{
"stats": {
"runs": 123,
"mentioned": 123,
"cited": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mode": "BRAND",
"category": "<string>",
"promptTopics": {},
"engines": [
"CHATGPT"
],
"prompts": [
"<string>"
],
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"country": "<string>",
"intervalHours": 84,
"enabled": true,
"alertBelowPct": 50,
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"competitorsReadAt": "2023-11-07T05:31:56Z",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"location": {
"latitude": 37.4979,
"longitude": 127.0276
},
"grid": {
"center": {
"latitude": 37.4979,
"longitude": 127.0276
},
"size": 3,
"radiusMeters": 25050
},
"engineSettings": {
"CHATGPT": {
"samples": 5
},
"GOOGLE": {
"intervalHours": 168
}
},
"webhookUrl": "<string>",
"analysis": true,
"leader": {
"name": "<string>",
"mentions": 123,
"sampleSize": 123,
"mentionRate": 123
}
}
],
"windowDays": 30
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}⌘I
List monitors
curl --request GET \
--url https://api.querying.ai/v1/monitors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.querying.ai/v1/monitors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.querying.ai/v1/monitors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.querying.ai/v1/monitors",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.querying.ai/v1/monitors"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.querying.ai/v1/monitors")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.querying.ai/v1/monitors")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"monitors": [
{
"stats": {
"runs": 123,
"mentioned": 123,
"cited": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"mode": "BRAND",
"category": "<string>",
"promptTopics": {},
"engines": [
"CHATGPT"
],
"prompts": [
"<string>"
],
"aliases": [
"<string>"
],
"domains": [
"<string>"
],
"country": "<string>",
"intervalHours": 84,
"enabled": true,
"alertBelowPct": 50,
"competitors": [
{
"name": "<string>",
"aliases": [
"<string>"
],
"source": "user",
"domain": "<string>"
}
],
"competitorsReadAt": "2023-11-07T05:31:56Z",
"nextRunAt": "2023-11-07T05:31:56Z",
"lastRunAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"location": {
"latitude": 37.4979,
"longitude": 127.0276
},
"grid": {
"center": {
"latitude": 37.4979,
"longitude": 127.0276
},
"size": 3,
"radiusMeters": 25050
},
"engineSettings": {
"CHATGPT": {
"samples": 5
},
"GOOGLE": {
"intervalHours": 168
}
},
"webhookUrl": "<string>",
"analysis": true,
"leader": {
"name": "<string>",
"mentions": 123,
"sampleSize": 123,
"mentionRate": 123
}
}
],
"windowDays": 30
}
}{
"success": false,
"error": {
"code": "MISSING_API_KEY",
"message": "Missing or invalid API key",
"timestamp": "2026-07-09T04:12:00.000Z"
}
}